<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="overlapping-tests">
  
  <test name="text-delete-within-added-p">
    <parameter name="name" value="text-delete-within-added-p"/>
    <parameter name="dir" value="test/overlapping/text-delete-within-added-p"/>
    <parameter name="trackedFile" value="text-delete-within-added-p-tracked.odt"/>
    <parameter name="versions" value="text-delete-within-added-p-v1.odt,text-delete-within-added-p-v2.odt,text-delete-within-added-p-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="insert-remove-span">
    <parameter name="name" value="insert-remove-span"/>
    <parameter name="dir" value="test/overlapping/insert-remove-span"/>
    <parameter name="trackedFile" value="insert-remove-span-tracked.odt"/>
    <parameter name="versions" value="insert-remove-span-v1.odt,insert-remove-span-v2.odt,insert-remove-span-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="insert-list-item-delete-list">
    <parameter name="name" value="insert-list-item-delete-list"/>
    <parameter name="dir" value="test/overlapping/insert-list-item-delete-list"/>
    <parameter name="trackedFile" value="insert-list-item-delete-list-tracked.odt"/>
    <parameter name="versions" value="insert-list-item-delete-list-v1.odt,insert-list-item-delete-list-v2.odt,insert-list-item-delete-list-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>